
/*				<<<<Last Modified: Sun Jun 15 19:38:56 1997>>>>
------------------------------------------------------------------------------

        =====
        CPCFS  --  u n i x . h   ---   Unix specific header
        =====

	Version 0.85                    (c) February '96 by Derik van Zuetphen
------------------------------------------------------------------------------
*/



#ifdef XZX_CPCFS
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include <ctype.h>
#include <errno.h>
#ifdef __linux__
#include <getopt.h>
#endif
#else
#include <getopt.h>
#include <strings.h>
#endif
#include <sys/file.h>
#include <unistd.h>
#include <setjmp.h>
#if USE_READLINE
#include <readline/readline.h>
#include <readline/history.h>
#endif

#define SHELLVAR	"SHELL"
#define SHELLDEFAULT	"/bin/sh"
#define PAGERDEFAULT	"more"
#define LDIRCOMMAND	"ls -l"
#define DIRSEPARATOR	'/'
#define FIRST_OPTIND	0
#define O_BINARY	0		/* dummy to make DOS happy */
#define ENTER		10		/* keycode */

#ifdef XZX_CPCFS
#define getwd(x)	getcwd((x), sizeof((x)))
#endif

void break_handler(int);
void disable_break(void);

/* empty dummies */
#define save_path()
#define rest_path()

char *glob_file(char *pattern);
char *glob_next(void);

long coreleft(void);
char*	tmp_nam(char*);		/* because DOS' tmpnam() ignores $TEMP */

char wait_for_key (int,char);
void clrscr(void);
void gotoxy(int col,int lin);

void os_init(void);
