/* scr.h: routines for dealing with .scr screenshots
   Copyright (c) 1998 Philip Kendall

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21@cam.ac.uk (until at least June 1999)
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

#ifndef scr_h
#define scr_h

#include <stdio.h>

#ifndef snapconv_h
#include "snapconv.h"
#endif

#ifndef snapinfo_h
#include "snapinfo.h"
#endif

int scr_write(FILE *f,char *outName,int version, struct snapinfo *sptr,
	      unsigned char **pages, romData *romPages);

#endif /* #ifndef scr_h */
